Bug 1483339 - Review Request: kiwi - A flexible operating system image builder
Summary: Review Request: kiwi - A flexible operating system image builder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1500958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-20 17:47 UTC by Neal Gompa
Modified: 2018-03-30 13:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 13:06:05 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2017-08-20 17:47:36 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00591985-python-kiwi/python-kiwi.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00591985-python-kiwi/python-kiwi-9.10.4-0.fc28.1.src.rpm

Description:
The KIWI Image System provides an operating system image builder
for Linux supported hardware platforms as well as for virtualization
and cloud systems like Xen, KVM, VMware, EC2 and more.

Fedora Account System Username: ngompa

Comment 1 Fabio Valentini 2017-08-21 12:26:34 UTC
Taking this review.

Comment 2 Fabio Valentini 2017-08-23 08:19:42 UTC
Initial comments:
1) Your package isn't for the latest version (v9.10.6, package is for v9.10.4).
2) The Release tag looks strange. Why is it not just "1%{?dist}"?
3) Sorting the (Build)Requires and Provides alphabetically would be appreciated.

Comment 3 Fabio Valentini 2017-08-23 08:21:54 UTC
Additionally, you might consider naming the main package "kiwi.spec", since that's the name of the program and the "main" package anyway.

Comment 4 Neal Gompa 2017-08-23 08:26:47 UTC
> 1) Your package isn't for the latest version (v9.10.6, package is for v9.10.4).

Latest version came out yesterday morning! It was latest as of when I submitted this review request on Saturday. Upstream makes releases fairly aggressively. *shrugs*

> 2) The Release tag looks strange. Why is it not just "1%{?dist}"?

It's at 0%{?dist}.X for the COPR/review only. When I import it, I bump it to 1. That way I don't have any funny business and everything is nicely upgradable.

> 3) Sorting the (Build)Requires and Provides alphabetically would be appreciated.

I'll see what I can do about that, but, there's a lot...

> Additionally, you might consider naming the main package "kiwi.spec", since that's the name of the program and the "main" package anyway.

I thought about this, but the problem with that is that I can't make kiwi subpackage noarch then. The source package has to be archful since some subpackages are archful. And we do provide a usable Python module (pythonX-kiwi), so I figured it's fine to be python-kiwi for the source package. It matches what openSUSE does for their package, too.

Comment 5 Fabio Valentini 2017-08-23 08:39:11 UTC
> Latest version came out yesterday morning!

Yeah, I saw. Still I'd like to continue the review with the latest version. :)

> I'll see what I can do about that, but, there's a lot...

Most of the already are sorted, just the -systemdeps seem to be unsorted.

> I thought about this, but the problem with that is that I can't make kiwi subpackage noarch then. The source package has to be archful since some subpackages are archful.

OK, that's a good reason to name it python-kiwi.

Comment 6 Fabio Valentini 2017-08-23 08:54:54 UTC
I just noticed a bigger problem: There's already a pyhton-kiwi package in fedora (for the kiwi-gtk python library) ...

Comment 7 Neal Gompa 2017-08-23 09:34:49 UTC
Crap. I'm not sure what to do here...

Comment 8 Fabio Valentini 2017-09-19 09:27:38 UTC
Is there progress on the renaming of the conflicting package?

Comment 9 Neal Gompa 2017-09-19 12:23:21 UTC
No, I think I'm going to have to get in touch with Haikel Guemar about it today.

Comment 10 Neal Gompa 2018-02-25 17:45:28 UTC
I've renamed the source package and made a kiwi-cli subpackage instead. I've also bumped to the latest version.

I'm still waiting on kiwi-gtk thing to get done, though...

Spec URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00720923-kiwi/kiwi.spec

SPRM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00720923-kiwi/kiwi-9.13.0-0.fc28.3.src.rpm

Comment 11 Fabio Valentini 2018-02-26 15:37:03 UTC
Is there a reason for renaming the source package (python-kiwi -> kiwi), other than the current name clash in fedora?

Comment 12 Neal Gompa 2018-02-26 17:53:55 UTC
(In reply to Fabio Valentini from comment #11)
> Is there a reason for renaming the source package (python-kiwi -> kiwi),
> other than the current name clash in fedora?

The way we handle source package management in git and koji makes it too complicated to easily reuse the name without causing tons of confusion.

Comment 13 Fabio Valentini 2018-03-01 14:00:31 UTC
With the renamed source package, is there anything else blocking this package? If not, I'll continue with the review.

Comment 14 Neal Gompa 2018-03-12 23:27:20 UTC
There's nothing else blocking this package. `python-kiwi` has been retired, and `python-kiwi-gtk` is submitted as an update: https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f7373a17

Comment 15 Fabio Valentini 2018-03-13 22:11:49 UTC
There is one obvious error:

0) The python2-kiwi package isn't installable on rawhide.

This is caused by using python-NAME Requires in the python2 subpackage. You must use the fully qualified python2-NAME requires, they're all available as far as I can tell:

BR: python-devel -> python2-devel

and

python-docopt -> python2-docopt
python-future -> python2-future
python-PyYAML -> python2-pyyaml
python-requests -> python2-requests
python-setuptools -> python2-setuptools
python-six -> python2-six
python-pyxattr -> python2-pyxattr

(Please double-check. You could even switch to using "python2dist(docopt)"-style dependencies, if you want to be fancy.)


There are some other issues:

1) Can you update the package to the latest version (9.13.9) for the final review? A koji scratch build of the "final" package would be nice, too - just to see if it builds correctly on all arches.

2) The kiwi-specific virtual provides look strange. Why not use a format like kiwi(image:docker)? Additionally, they are unversioned, which rpmlint complains about. And what is the "Provides: kiwi-schema" for?

3) fedora-review complains about the %defattr(), and claims it's not needed. Please double-check, since I suspect this is a false positive.

4) Please don't write "%package -n %{name}-cli". Just use "%package cli" (and %description cli, %files cli, etc.). Same goes for -tools and -pxeboot subpackages. I suspect this is left-over from the previous "python-kiwi"-named packaging.

5) The user and group creation scriptlet in "%pre -n kiwi-pxeboot (-> "%pre pxeboot", btw) doesn't match the example scriptlet in the Packaging Guidelines. Please check against [0]. Also, "Requires(pre): shadow-utils" is missing from "%package pxeboot".

6) The -pxeboot subpackage doesn't install a LICENSE file. Every other combination pulls in a LICENSE file, as far as I can tell.

7) The file "kiwi/xml_parse.py" has "#!/usr/bin/env python" shebang, which is wrong and must be replaced by "#!/usr/bin/python3" (sic!) and the file marked as executable, or the shebang should be removed entirely (for both the python2 and python3 version). That file isn't even compatible with python2, so ... I guess that should be fixed upstream.

8) dracut modules (in "/usr/lib/drac7t/modules.d/99kiwi-lib/*" have bash shebangs, but aren't marked as executable. Is that correct?

9) The symlinks for "kiwi-ng" and "kiwicompat" don't look like they are created proplerly. rpmlint complains that they are dangling symlinks.

10) "tools/kversion.c" has the wrong FSF address.

11) There are unowned directories left:

     Note: Directories without known owners:
     /usr/share/bash-completion,
     /usr/lib/dracut,
     /usr/share/bash-completion/completions,
     /usr/lib/dracut/modules.d

Add the missing "Requires:" tags to the appropriate packages, or if that doesn't work, co-own the directories.

12) The "/var/lib/tftpboot" directory and some files are already owned by other packages (tftp-server and cobbler):

     Note: Dirs in package are owned also by:
     /var/lib/tftpboot(tftp-server),
     /var/lib/tftpboot/boot(cobbler),
     /var/lib/tftpboot/pxelinux.cfg(cobbler)


[0]: https://fedoraproject.org/wiki/Packaging:UsersAndGroups#Dynamic_allocation

Comment 16 Neal Gompa 2018-03-16 14:23:29 UTC
(In reply to Fabio Valentini from comment #15)
> There is one obvious error:
> 
> 0) The python2-kiwi package isn't installable on rawhide.
> 
> This is caused by using python-NAME Requires in the python2 subpackage. You
> must use the fully qualified python2-NAME requires, they're all available as
> far as I can tell:
> 
> BR: python-devel -> python2-devel
> 
> and
> 
> python-docopt -> python2-docopt
> python-future -> python2-future
> python-PyYAML -> python2-pyyaml
> python-requests -> python2-requests
> python-setuptools -> python2-setuptools
> python-six -> python2-six
> python-pyxattr -> python2-pyxattr
> 
> (Please double-check. You could even switch to using
> "python2dist(docopt)"-style dependencies, if you want to be fancy.)
> 
> 

Fixed.

> There are some other issues:
> 
> 1) Can you update the package to the latest version (9.13.9) for the final
> review? A koji scratch build of the "final" package would be nice, too -
> just to see if it builds correctly on all arches.
> 

It's not yet uploaded to PyPI, so I've done it for 9.13.7 (the latest uploaded version).

> 2) The kiwi-specific virtual provides look strange. Why not use a format
> like kiwi(image:docker)? Additionally, they are unversioned, which rpmlint
> complains about. And what is the "Provides: kiwi-schema" for?
> 

This is used by obs-build for doing the correct substitution rules for certain things, so I can't really change them.

> 3) fedora-review complains about the %defattr(), and claims it's not needed.
> Please double-check, since I suspect this is a false positive.
> 

I've dropped it as tftp-server is packaged slightly differently in Fedora.

> 4) Please don't write "%package -n %{name}-cli". Just use "%package cli"
> (and %description cli, %files cli, etc.). Same goes for -tools and -pxeboot
> subpackages. I suspect this is left-over from the previous
> "python-kiwi"-named packaging.
> 

Fixed.

> 5) The user and group creation scriptlet in "%pre -n kiwi-pxeboot (-> "%pre
> pxeboot", btw) doesn't match the example scriptlet in the Packaging
> Guidelines. Please check against [0]. Also, "Requires(pre): shadow-utils" is
> missing from "%package pxeboot".
> 

Dropped as it's not needed for our tftp-server packaging.

> 6) The -pxeboot subpackage doesn't install a LICENSE file. Every other
> combination pulls in a LICENSE file, as far as I can tell.
> 

Fixed.

> 7) The file "kiwi/xml_parse.py" has "#!/usr/bin/env python" shebang, which
> is wrong and must be replaced by "#!/usr/bin/python3" (sic!) and the file
> marked as executable, or the shebang should be removed entirely (for both
> the python2 and python3 version). That file isn't even compatible with
> python2, so ... I guess that should be fixed upstream.
> 

Issue filed: https://github.com/SUSE/kiwi/issues/666

> 8) dracut modules (in "/usr/lib/drac7t/modules.d/99kiwi-lib/*" have bash
> shebangs, but aren't marked as executable. Is that correct?
> 

Issue filed: https://github.com/SUSE/kiwi/issues/668

> 9) The symlinks for "kiwi-ng" and "kiwicompat" don't look like they are
> created proplerly. rpmlint complains that they are dangling symlinks.
> 

This is because the versioned binaries exist in python3-kiwi and the unversioned ones are in kiwi-cli. kiwi-cli requires python3-kiwi, so they'll be satisfied on install.

> 10) "tools/kversion.c" has the wrong FSF address.
> 

Issue filed: https://github.com/SUSE/kiwi/issues/667

> 11) There are unowned directories left:
> 
>      Note: Directories without known owners:
>      /usr/share/bash-completion,
>      /usr/lib/dracut,
>      /usr/share/bash-completion/completions,
>      /usr/lib/dracut/modules.d
> 
> Add the missing "Requires:" tags to the appropriate packages, or if that
> doesn't work, co-own the directories.
> 

Fixed.

> 12) The "/var/lib/tftpboot" directory and some files are already owned by
> other packages (tftp-server and cobbler):
> 
>      Note: Dirs in package are owned also by:
>      /var/lib/tftpboot(tftp-server),
>      /var/lib/tftpboot/boot(cobbler),
>      /var/lib/tftpboot/pxelinux.cfg(cobbler)
> 

Fixed.

----------

Spec URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00728607-kiwi/kiwi.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00728607-kiwi/kiwi-9.13.7-0.fc29.2.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=25743697

Comment 17 Fabio Valentini 2018-03-16 15:50:07 UTC
(In reply to Neal Gompa from comment #16)
> (In reply to Fabio Valentini from comment #15)
> > There is one obvious error:
> > 
> > 0) The python2-kiwi package isn't installable on rawhide.
> > 
> > This is caused by using python-NAME Requires in the python2 subpackage. You
> > must use the fully qualified python2-NAME requires, they're all available as
> > far as I can tell:
> > 
> > BR: python-devel -> python2-devel
> > 
> > and
> > 
> > python-docopt -> python2-docopt
> > python-future -> python2-future
> > python-PyYAML -> python2-pyyaml
> > python-requests -> python2-requests
> > python-setuptools -> python2-setuptools
> > python-six -> python2-six
> > python-pyxattr -> python2-pyxattr
> > 
> > (Please double-check. You could even switch to using
> > "python2dist(docopt)"-style dependencies, if you want to be fancy.)
> > 
> > 
> 
> Fixed.

Well, not completely fixed, there are still "BR: python-devel" and "BR: python-setuptools".

And where have the other dependencies gone? Are they now automatocally covered by invoking the python dependency generator?

> > There are some other issues:
> > 
> > 1) Can you update the package to the latest version (9.13.9) for the final
> > review? A koji scratch build of the "final" package would be nice, too -
> > just to see if it builds correctly on all arches.
> > 
> 
> It's not yet uploaded to PyPI, so I've done it for 9.13.7 (the latest
> uploaded version).

That's fine.

> > 2) The kiwi-specific virtual provides look strange. Why not use a format
> > like kiwi(image:docker)? Additionally, they are unversioned, which rpmlint
> > complains about. And what is the "Provides: kiwi-schema" for?
> > 
> 
> This is used by obs-build for doing the correct substitution rules for
> certain things, so I can't really change them.

Ack.

> > 3) fedora-review complains about the %defattr(), and claims it's not needed.
> > Please double-check, since I suspect this is a false positive.
> > 
> 
> I've dropped it as tftp-server is packaged slightly differently in Fedora.

Good.

> > 4) Please don't write "%package -n %{name}-cli". Just use "%package cli"
> > (and %description cli, %files cli, etc.). Same goes for -tools and -pxeboot
> > subpackages. I suspect this is left-over from the previous
> > "python-kiwi"-named packaging.
> > 
> 
> Fixed.

Ack.

> > 5) The user and group creation scriptlet in "%pre -n kiwi-pxeboot (-> "%pre
> > pxeboot", btw) doesn't match the example scriptlet in the Packaging
> > Guidelines. Please check against [0]. Also, "Requires(pre): shadow-utils" is
> > missing from "%package pxeboot".
> > 
> 
> Dropped as it's not needed for our tftp-server packaging.

Nice :)

> > 6) The -pxeboot subpackage doesn't install a LICENSE file. Every other
> > combination pulls in a LICENSE file, as far as I can tell.
> > 
> 
> Fixed.

Ack.

> > 7) The file "kiwi/xml_parse.py" has "#!/usr/bin/env python" shebang, which
> > is wrong and must be replaced by "#!/usr/bin/python3" (sic!) and the file
> > marked as executable, or the shebang should be removed entirely (for both
> > the python2 and python3 version). That file isn't even compatible with
> > python2, so ... I guess that should be fixed upstream.
> > 
> 
> Issue filed: https://github.com/SUSE/kiwi/issues/666

I commented on the issue. It looks like you will have to fix this downstream.

> > 8) dracut modules (in "/usr/lib/drac7t/modules.d/99kiwi-lib/*" have bash
> > shebangs, but aren't marked as executable. Is that correct?
> > 
> 
> Issue filed: https://github.com/SUSE/kiwi/issues/668

Ack.

> > 9) The symlinks for "kiwi-ng" and "kiwicompat" don't look like they are
> > created proplerly. rpmlint complains that they are dangling symlinks.
> > 
> 
> This is because the versioned binaries exist in python3-kiwi and the
> unversioned ones are in kiwi-cli. kiwi-cli requires python3-kiwi, so they'll
> be satisfied on install.

OK, I trust that you have verified that this works as it is supposed to.

> > 10) "tools/kversion.c" has the wrong FSF address.
> > 
> 
> Issue filed: https://github.com/SUSE/kiwi/issues/667

Ack.

> > 11) There are unowned directories left:
> > 
> >      Note: Directories without known owners:
> >      /usr/share/bash-completion,
> >      /usr/lib/dracut,
> >      /usr/share/bash-completion/completions,
> >      /usr/lib/dracut/modules.d
> > 
> > Add the missing "Requires:" tags to the appropriate packages, or if that
> > doesn't work, co-own the directories.
> > 
> 
> Fixed.
> 
> > 12) The "/var/lib/tftpboot" directory and some files are already owned by
> > other packages (tftp-server and cobbler):
> > 
> >      Note: Dirs in package are owned also by:
> >      /var/lib/tftpboot(tftp-server),
> >      /var/lib/tftpboot/boot(cobbler),
> >      /var/lib/tftpboot/pxelinux.cfg(cobbler)
> > 
> 
> Fixed.
> 
> ----------
> 
> Spec URL:
> https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-
> x86_64/00728607-kiwi/kiwi.spec
> 
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-
> x86_64/00728607-kiwi/kiwi-9.13.7-0.fc29.2.src.rpm
> 
> Koji scratch build:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25743697

If you look at the koji task log, you'll see that there was an error where python2-kiwi built differently on ppc64 and x86_64, which I think will be an error for real package builds. It looks like the noarch package virtually provides archful python-kiwi, which is plain wrong. It looks like the  %python_provide macro fails here ...

There are three additional, minor things I would suggest to change:

13) You could drop the leading "A" from the summary tag. It's just noise.

14) Since the -cli subpackage provides %{name}, you could just drop the cli subpackage entirely and put everything from it into the "main" kiwi package. But that's up to you.

15) Since the package builds binaries from .c files with a Makefile, you will have to add "BR: gcc" and maybe even "BR: make" eventually.


Once fedora-review finally finishes I can conclude the review, since most issues have been addressed AFAICT.

Comment 18 Neal Gompa 2018-03-16 21:56:16 UTC
(In reply to Fabio Valentini from comment #17)
> 
> If you look at the koji task log, you'll see that there was an error where
> python2-kiwi built differently on ppc64 and x86_64, which I think will be an
> error for real package builds. It looks like the noarch package virtually
> provides archful python-kiwi, which is plain wrong. It looks like the 
> %python_provide macro fails here ...
> 

I've discovered this is caused when %python_provide is used before "BuildArch: noarch" is declared. the spec parser doesn't yet know the subpackage is not archful, so it does the wrong thing here... If the "BuildArch: noarch" is _before_ the %python_provide macro, it works as it should.

I've fixed it accordingly.

> There are three additional, minor things I would suggest to change:
> 
> 13) You could drop the leading "A" from the summary tag. It's just noise.
> 

Done.

> 14) Since the -cli subpackage provides %{name}, you could just drop the cli
> subpackage entirely and put everything from it into the "main" kiwi package.
> But that's up to you.
> 

I do this because I want the content of the cli package to be noarch, and limitations in rpm prevent me from doing it with the source package name while having some archful subpackages.

Most of KIWI is noarch, so I did that to have it work out that way.

> 15) Since the package builds binaries from .c files with a Makefile, you
> will have to add "BR: gcc" and maybe even "BR: make" eventually.
> 
> 

Right. Done.

> Once fedora-review finally finishes I can conclude the review, since most
> issues have been addressed AFAICT.

Awesome.

For "final" verification:

Spec URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00728842-kiwi/kiwi.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00728842-kiwi/kiwi-9.13.7-0.fc29.3.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=25750129

Comment 19 Fabio Valentini 2018-03-16 23:06:26 UTC
(In reply to Neal Gompa from comment #18)
> (In reply to Fabio Valentini from comment #17)
> > 
> > If you look at the koji task log, you'll see that there was an error where
> > python2-kiwi built differently on ppc64 and x86_64, which I think will be an
> > error for real package builds. It looks like the noarch package virtually
> > provides archful python-kiwi, which is plain wrong. It looks like the 
> > %python_provide macro fails here ...
> > 
> 
> I've discovered this is caused when %python_provide is used before
> "BuildArch: noarch" is declared. the spec parser doesn't yet know the
> subpackage is not archful, so it does the wrong thing here... If the
> "BuildArch: noarch" is _before_ the %python_provide macro, it works as it
> should.
> 
> I've fixed it accordingly.

Wow, that's surprisingly stupid of rpm (or whatever tool is responsible) ... Good catch.

> > There are three additional, minor things I would suggest to change:
> > 
> > 13) You could drop the leading "A" from the summary tag. It's just noise.
> > 
> 
> Done.

+1

> > 14) Since the -cli subpackage provides %{name}, you could just drop the cli
> > subpackage entirely and put everything from it into the "main" kiwi package.
> > But that's up to you.
> > 
> 
> I do this because I want the content of the cli package to be noarch, and
> limitations in rpm prevent me from doing it with the source package name
> while having some archful subpackages.
> 
> Most of KIWI is noarch, so I did that to have it work out that way.

Ah, you're right. I didn't consider that.

> > 15) Since the package builds binaries from .c files with a Makefile, you
> > will have to add "BR: gcc" and maybe even "BR: make" eventually.
> > 
> > 
> 
> Right. Done.

Ack.

> > Once fedora-review finally finishes I can conclude the review, since most
> > issues have been addressed AFAICT.
> 
> Awesome.
> 
> For "final" verification:
> 
> Spec URL:
> https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-
> x86_64/00728842-kiwi/kiwi.spec
> 
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-
> x86_64/00728842-kiwi/kiwi-9.13.7-0.fc29.3.src.rpm
> 
> Koji scratch build:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=25750129

Final remarks:

- The wrong "BR: python-devel" and "BR: python-setuptools" are still there, I assume you just missed them in the last round. Please change the BuildRequires to python2-devel and python2-setuptools before importing.

- The wrong shebang in the kiwi/xml_parse.py file is still present. Please remove the shebang line with sed or add a patch to remove the line, otherwise the automatic shebang mangling will do the wrong thing eventually.

Please just update the .spec file (no srpm or scratch build necessary, though) for those two issues one last time - since these really _are_ blocking issues by definition ("MUST NOT" items from the guidelines ... [0], [1]).

[0]: http://fedoraproject.org/wiki/Packaging:Python#Dependencies
[1]: http://fedoraproject.org/wiki/Packaging:Python#Multiple_Python_Runtimes

Comment 20 Neal Gompa 2018-03-17 02:06:07 UTC
(In reply to Fabio Valentini from comment #19)
> 
> Final remarks:
> 
> - The wrong "BR: python-devel" and "BR: python-setuptools" are still there,
> I assume you just missed them in the last round. Please change the
> BuildRequires to python2-devel and python2-setuptools before importing.
> 

Yep, missed those. Fixed.

> - The wrong shebang in the kiwi/xml_parse.py file is still present. Please
> remove the shebang line with sed or add a patch to remove the line,
> otherwise the automatic shebang mangling will do the wrong thing eventually.
> 

Fixed.

> Please just update the .spec file (no srpm or scratch build necessary,
> though) for those two issues one last time - since these really _are_
> blocking issues by definition ("MUST NOT" items from the guidelines ... [0],
> [1]).
> 
> [0]: http://fedoraproject.org/wiki/Packaging:Python#Dependencies
> [1]: http://fedoraproject.org/wiki/Packaging:Python#Multiple_Python_Runtimes

Done. New stuff below.

Spec URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00728888-kiwi/kiwi.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/KIWI/fedora-rawhide-x86_64/00728888-kiwi/kiwi-9.13.7-0.fc29.4.src.rpm

Comment 21 Fabio Valentini 2018-03-17 09:12:35 UTC
Since those two last issues are fixed:

Package Approved!

(I won't bore you with the full fedora-review output, it would now be completely redundant with all the comments I made above.)

Comment 22 Gwyn Ciesla 2018-03-17 16:15:19 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/kiwi

Comment 23 Fedora Update System 2018-03-17 22:44:13 UTC
kiwi-9.13.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e2a73f7f7

Comment 24 Fedora Update System 2018-03-18 17:43:39 UTC
kiwi-9.13.7-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e2a73f7f7

Comment 25 Fedora Update System 2018-03-24 09:48:20 UTC
kiwi-9.14.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e2a73f7f7

Comment 26 Fedora Update System 2018-03-24 20:05:10 UTC
kiwi-9.14.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e2a73f7f7

Comment 27 Fedora Update System 2018-03-30 13:06:05 UTC
kiwi-9.14.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.